LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XComponentRegistry Interface Referencepublished

`import"XComponentRegistry.idl";`

Inheritance diagram for XComponentRegistry:

## Public Member Functions
com::sun::star::uno::XInterface | createObject ([in] string URL, [in] com::sun::star::uno::Uik Uik)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated:

## Member Function Documentation

com::sun::star::uno::XInterface createObject | ( | [in] string | URL,
|  | [in] com::sun::star::uno::Uik | Uik
| ) |  |

Deprecated:

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XComponentRegistry.idl